using Unity.VisualScripting;
using UnityEngine;

public class MatchingDiceLock : Lock
{
    public override bool CheckIfKeyFits(DicePair dicePair)
    {
        if (base.CheckIfKeyFits(dicePair) && dicePair.CheckIfResultsMatch())
        {
            return true;
        }

        return false;
    }
}
